/*
SQLyog Ultimate v9.50 
MySQL - 5.6.20 : Database - prosoftnov19
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`prosoftnov19` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `prosoftnov19`;

/*Table structure for table `grad` */

DROP TABLE IF EXISTS `grad`;

CREATE TABLE `grad` (
  `GradID` int(11) NOT NULL,
  `NazivGrada` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`GradID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `grad` */

insert  into `grad`(`GradID`,`NazivGrada`) values (1,'Beograd'),(2,'Novi Sad'),(3,'Segedin'),(4,'Budimpesta'),(5,'Bratislava'),(6,'Bec'),(7,'Prag'),(8,'Zagreb'),(9,'Novo Mesto'),(10,'Ljubljana');

/*Table structure for table `ruta` */

DROP TABLE IF EXISTS `ruta`;

CREATE TABLE `ruta` (
  `RutaID` int(11) NOT NULL AUTO_INCREMENT,
  `NazivRute` varchar(255) DEFAULT NULL,
  `PocetniGrad` int(11) DEFAULT NULL,
  `KrajnjiGrad` int(11) DEFAULT NULL,
  PRIMARY KEY (`RutaID`),
  KEY `PocetniGrad` (`PocetniGrad`),
  KEY `KrajnjiGrad` (`KrajnjiGrad`),
  CONSTRAINT `ruta_ibfk_1` FOREIGN KEY (`PocetniGrad`) REFERENCES `grad` (`GradID`),
  CONSTRAINT `ruta_ibfk_2` FOREIGN KEY (`KrajnjiGrad`) REFERENCES `grad` (`GradID`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

/*Data for the table `ruta` */

insert  into `ruta`(`RutaID`,`NazivRute`,`PocetniGrad`,`KrajnjiGrad`) values (1,'Beograd-Ljubljana',1,10);

/*Table structure for table `rutagrad` */

DROP TABLE IF EXISTS `rutagrad`;

CREATE TABLE `rutagrad` (
  `RutaID` int(11) NOT NULL,
  `GradID` int(11) NOT NULL,
  PRIMARY KEY (`RutaID`,`GradID`),
  KEY `GradID` (`GradID`),
  CONSTRAINT `rutagrad_ibfk_1` FOREIGN KEY (`RutaID`) REFERENCES `ruta` (`RutaID`),
  CONSTRAINT `rutagrad_ibfk_2` FOREIGN KEY (`GradID`) REFERENCES `grad` (`GradID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `rutagrad` */

insert  into `rutagrad`(`RutaID`,`GradID`) values (1,8),(1,9);

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
